#!/bin/sh

objfile=`echo $1 | sed 's/\.rf/.o/g'`
incfile=`echo $1 | sed 's/\.rf/.rfi/g'`
depfile=`echo $1 | sed 's/\.rf/.dep/g'`

echo -n "${objfile}: $1 " >${depfile}

if [ -e ${incfile} ] ; then
  echo -n "${incfile} " >>${depfile}
fi

for i in `cat $1 | grep "\\$use" | sed 's/\$use//g;s/;//g;s/\"//g;s/\/\/.*//g'`
do
  if [ -e $i.rfi ] ; then
    echo -n "$i.rfi " >>${depfile}
  fi
done
