SAMPLES_SOURCES  = $(SAMPLES:=.cc)
SAMPLES_SOURCES += $(SAMPLES:=.rf)

SAMPLES_EXE = $(SAMPLES:=$(EXE_SUFFIX))
TESTS_EXE = $(TESTS:=$(EXE_SUFFIX))

DISTFILES = Makefile
DISTFILES += $(SAMPLES_SOURCES)

CPPFLAGS += $(RFRTLIB_CFLAGS) $(RFLIB_CFLAGS)

$(SAMPLES): %: %.o $(LIBRF) $(LIBRFRT) $(LIBPXX)

$(TESTS): %: %.o $(LIBRF) $(LIBRFRT) $(LIBPXX)

clean::
	rm -f $(SAMPLES_EXE) $(SAMPLES:=.cc) \
	      $(TESTS_EXE) $(TESTS:=.cc) *.o *.dep

check:: $(TESTS)
	@$(foreach target,$(TESTS), \
	  $(TOPDIR)/samples/check.sh $(target) ; \
	)

DEPS = $(SAMPLES:=.dep)
DEPS += $(TESTS:=.dep)
